Description

Related issues:

Related to User Interface - Feature #1789: implement the toggle-box widget Closed 02/10/2015

History

#1 - 09/03/2013 01:17 PM - Greg Shah

- Description updated

The toggle box widget can not be used for now. Consider the following sample:

...

def var forSure as logical label "Are you Sure?" view-as toggle-box.

def button btnExit label "Exit".

def frame f0

   skip(1)

   forSure skip(1)

   btnExit

   with centered row 5 width 60 title "Toggle-box widget demo" side-labels.

display forSure btnExit with frame f0.

enable all with frame f0.

wait-for choose of btnExit.

...

 

Converting and running this code on P2J produces the following abnormal end:

...

[08/24/2013 16:37:08 MSK] (StandardServer.invoke:SEVERE) {0000012C:00000388:bogus} Abnormal end!

java.lang.reflect.InvocationTargetException

        at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

        at java.lang.reflect.Method.invoke(Method.java:597)

        at com.goldencode.p2j.util.Utils.invoke(Utils.java:1153)

        at com.goldencode.p2j.main.StandardServer$MainInvoker.execute(StandardServer.java:1531)

        at com.goldencode.p2j.main.StandardServer.invoke(StandardServer.java:1037)

        at com.goldencode.p2j.main.StandardServer.standardEntry(StandardServer.java:329)

        at sun.reflect.GeneratedMethodAccessor2.invoke(Unknown Source)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

        at java.lang.reflect.Method.invoke(Method.java:597)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:76)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:675)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:316)

        at com.goldencode.p2j.net.Conversation.run(Conversation.java:158)

        at java.lang.Thread.run(Thread.java:662)
Caused by: java.lang.RuntimeException: Attempt to instantiate classnull which has no proper mapping

        at com.goldencode.p2j.ui.chui.ChuiWidgetFactory.create(ChuiWidgetFactory.java:114)

        at com.goldencode.p2j.ui.client.UiUtils.reconstructComponent(UiUtils.java:345)

        at com.goldencode.p2j.ui.client.WidgetRegistry.reconstructWidget(WidgetRegistry.java:79)

        at com.goldencode.p2j.ui.client.WidgetRegistry.pushDefinition(WidgetRegistry.java:180)

        at com.goldencode.p2j.ui.chui.ThinClient$18.run(ThinClient.java:6302)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:11228)

        at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:11177)

        at com.goldencode.p2j.ui.chui.ThinClient.pushOneDef(ThinClient.java:6290)

        at com.goldencode.p2j.ui.chui.ThinClient.pushScreenDefinition(ThinClient.java:6265)

        at sun.reflect.GeneratedMethodAccessor2.invoke(Unknown Source)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

        at java.lang.reflect.Method.invoke(Method.java:597)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:76)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:675)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:316)

        at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:254)

        at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1107)

        at com.goldencode.p2j.net.Queue.transact(Queue.java:575)

        at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:178)

        at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:163)

        at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1406)

        at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:97)

        at com.sun.proxy.$Proxy3.standardEntry(Unknown Source)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:216)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:76)

        at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:223)

        at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:423)

        at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:115)

        at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:241)

...

#2 - 05/01/2014 02:32 PM - Greg Shah

- Status changed from New to Rejected

- Start date deleted (08/24/2013)

This is expected behavior because the conversion and runtime support for toggle-box has not been put in place yet.  For this reason, I am closing the

task.
